Skip to main content
`Ctrl`+`K`

# CHKERRCXX

Checks C++ function calls and if they throw an exception, catch it and then return a PETSc error code

## Synopsis

    #include <petscsys.h>
    void CHKERRCXX(func) noexcept;

Not Collective

## Input Parameter

- func - C++ function calls

## Note

Deprecated in favor of `PetscCallCXX()`. This routine behaves identically to it.

## See Also

`PetscCallCXX()`

## Level

deprecated

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages